curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_DjkdemgTQfqRD \
-X PUT \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"network": {
"cvv": "031",
}
}'
{
"id": "avf_DjkdemgTQfqRD",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "verified",
"error": null,
"type": "network",
"network": {
"exp_year": "xxxx",
"exp_month": "xx",
"exp_check": "pass",
"cvv": "xxx",
"cvv_check": "pass",
"billing_zip_code": "xxxxx",
"billing_zip_code_check": "pass",
"number": "xxxxxxxxxxxxxxxx",
"network_check": "pass"
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
Credit Card Verification
Update a Network Verification
PUT
/
accounts
/
{acc_id}
/
verification_sessions
/
{avf_id}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_DjkdemgTQfqRD \
-X PUT \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"network": {
"cvv": "031",
}
}'
{
"id": "avf_DjkdemgTQfqRD",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "verified",
"error": null,
"type": "network",
"network": {
"exp_year": "xxxx",
"exp_month": "xx",
"exp_check": "pass",
"cvv": "xxx",
"cvv_check": "pass",
"billing_zip_code": "xxxxx",
"billing_zip_code_check": "pass",
"number": "xxxxxxxxxxxxxxxx",
"network_check": "pass"
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
Updates an existing AccountVerificationSession object of type
network.
Only fields for which the value is
null or the
associated *_check value is fail should be provided
in the update request.The Network Verification type is restricted to most teams, and requires PCI compliance to access.
Contact your Method CSM for more information.
Path Parameters
Body
Returns
Returns an AccountVerificationSession object.curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_DjkdemgTQfqRD \
-X PUT \
-H "Method-Version: 2024-04-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"network": {
"cvv": "031",
}
}'
{
"id": "avf_DjkdemgTQfqRD",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "verified",
"error": null,
"type": "network",
"network": {
"exp_year": "xxxx",
"exp_month": "xx",
"exp_check": "pass",
"cvv": "xxx",
"cvv_check": "pass",
"billing_zip_code": "xxxxx",
"billing_zip_code_check": "pass",
"number": "xxxxxxxxxxxxxxxx",
"network_check": "pass"
},
"created_at": "2024-03-14T02:02:24.862Z",
"updated_at": "2024-03-14T02:02:24.862Z"
}
⌘I